Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 55)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 11;
+        public static int s_SystemVersion = 14;
 
         /// <summary>
         /// コピー・環境バージョン
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 55)
@@ -27,6 +27,16 @@
         private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
         #endregion
 
+        #region 定数
+
+        #region 申請レコード番号
+        /// <summary>
+        /// 申請レコード枝番
+        /// </summary>
+        private const int s_PrimartyRecord = 1;
+        #endregion
+        #endregion
+
         #region 承認申請・承認をする(工事承認)
         /// <summary>
         /// 案件の承認申請・承認をする(工事承認)
@@ -124,7 +134,7 @@
                                         true,
                                         ApprovalCode,
                                         OrderNO,
-                                        1)) return false;
+                                        s_PrimartyRecord)) return false;
 
                 return true;
             }
@@ -160,7 +170,7 @@
                                         Status,
                                         true,
                                         OrderNo,
-                                        1)) return false;
+                                        s_PrimartyRecord)) return false;
 
                 return true;
             }
@@ -190,7 +200,7 @@
             {
                 bool bPetition = false;
                 // 申請データ取得
-                string strSQL = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, 1);
+                string strSQL = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, s_PrimartyRecord);
                 List<ProcessApproval> PetitionList = new List<ProcessApproval>();
                 if (!ApprDB.SelectAction(strSQL, ref PetitionList)) return bPetition;
                 // 申請データが無い場合
@@ -258,7 +268,7 @@
             try
             {
                 // 承認データを取得する（申請データを除く）
-                string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, Approvalcount, 1);
+                string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, Approvalcount, s_PrimartyRecord);
                 ProcessApproval DataRec = new ProcessApproval();
                 if (!ApprDB.SelectAction(strData, ref DataRec)) return false;
 
@@ -292,7 +302,7 @@
             try
             {
                 // 承認データを取得する（申請データを除く）
-                string strData = ApprDB.CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, OrderNo, 1);
+                string strData = ApprDB.CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, OrderNo, s_PrimartyRecord);
                 PersonApproval DataRec = new PersonApproval();
                 if (!ApprDB.SelectAction(strData, ref DataRec)) return false;
 
@@ -335,7 +345,7 @@
 
                 // 承認データを取得する（申請データを除く）
                 string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo);
-                strData += string.Format(" And SeqNo != 1 And ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                strData += string.Format(" And SeqNo != {0} And ApprovalStatus = {1}", s_PrimartyRecord, (int)CommonDefine.ApprovalStatus.Approval);
                 List<ProcessApproval> DataList = new List<ProcessApproval>();
                 if (!ApprDB.SelectAction(strData, ref DataList)) return false;
                 if (DataList.Count == 0) return false;
@@ -412,7 +422,7 @@
                 strSQL += " FROM APPROVALMASTER A";
                 strSQL += " LEFT JOIN PERSONAPPROVAL B ON B.PERSONCODEAPPROVAL = A.APPROVALPERSON AND B.APPROVALCODE = A.APPROVALCODE";
                 strSQL += string.Format(" AND B.ORDERDATE = TO_DATE('{0}')", OrderDate.ToShortDateString());
-                strSQL += string.Format(" AND B.ORDERNO = {0} AND B.SEQNO != 1", OrderNo);
+                strSQL += string.Format(" AND B.ORDERNO = {0} AND B.SEQNO != {1}", OrderNo, s_PrimartyRecord);
                 strSQL += string.Format(" WHERE A.APPROVALCODE = {0}", ApprovalCode);
                 strSQL += " AND A.DEPARTMENTCODE = (SELECT C.DEPARTMENTCODE FROM PERSONINCHARGEMASTER C";
                 strSQL += string.Format(" WHERE C.PERSONCODE = {0})", PersonCode);
@@ -575,7 +585,7 @@
             try
             {
                 // 管理担当者コードを取得する
-                string strSQL = ApprovalDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, 1);
+                string strSQL = ApprovalDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, s_PrimartyRecord);
                 ProcessApproval ApprovalRec = new ProcessApproval();
                 int CurrentPersonCode = 0;
                 if (ApprovalDB.SelectAction(strSQL, ref ApprovalRec))
@@ -620,7 +630,7 @@
             try
             {
                 // 管理担当者コードを取得する
-                string strSQL = ApprovalDB.CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, OrderNo, 1);
+                string strSQL = ApprovalDB.CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, OrderNo, s_PrimartyRecord);
                 PersonApproval ApprovalRec = new PersonApproval();
                 int CurrentPersonCode = 0;
                 if (ApprovalDB.SelectAction(strSQL, ref ApprovalRec))
@@ -734,7 +744,7 @@
             {
                 // 承認データ取得
                 string strSQL = paDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, ApprovalCount);
-                strSQL += string.Format(" And SeqNo != 1 And ApprovalStatus = {0}",(int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += string.Format(" And SeqNo != {0} And ApprovalStatus = {1}", s_PrimartyRecord, (int)CommonDefine.ApprovalStatus.Approval);
                 List<ProcessApproval> ApprovalList = new List<ProcessApproval>();
                 if (!paDB.SelectAction(strSQL, ref ApprovalList)) return 0;
 
@@ -764,7 +774,7 @@
             {
                 // 承認データ取得
                 string strSQL = paDB.CreatePrimarykeyString(PersonCode, ApprovalCode, ApprovalDate);
-                strSQL += string.Format(" And SeqNo != 1 And ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += string.Format(" And SeqNo != {0} And ApprovalStatus = {1}", s_PrimartyRecord, (int)CommonDefine.ApprovalStatus.Approval);
                 List<PersonApproval> ApprovalList = new List<PersonApproval>();
                 if (!paDB.SelectAction(strSQL, ref ApprovalList)) return 0;
 
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 55)
@@ -77,6 +77,7 @@
             PaymentConfirmation = 30,           // 30:入金確認
             RequestInput = 31,                  // 31:請求入力
             RequestPrint = 32,                  // 32:請求書印刷
+            CostomerRegist = 33,                // 33:発注者登録申請
         }
         #endregion
 
@@ -173,7 +174,8 @@
                                                                                 { (int)ProcessExecuteNo.RequestSummaryList,     "請求まとめ"},
                                                                                 { (int)ProcessExecuteNo.PaymentConfirmation,    "入金確認"},
                                                                                 { (int)ProcessExecuteNo.RequestInput,           "請求入力"},
-                                                                                { (int)ProcessExecuteNo.RequestPrint,           "請求書印刷"}
+                                                                                { (int)ProcessExecuteNo.RequestPrint,           "請求書印刷"},
+                                                                                { (int)ProcessExecuteNo.CostomerRegist,         "発注者登録申請"},
         };
 
         #endregion
@@ -257,6 +259,10 @@
             /// 8:出勤管理承認
             /// </summary>
             DRWorkApproval,
+            /// <summary>
+            /// 9:発注者登録承認
+            /// </summary>
+            CostomerRegistApproval,
         }
         #endregion
 
@@ -293,6 +299,7 @@
                                                                                 {6, "工事日報承認"},
                                                                                 {7, "議事録承認"},
                                                                                 {8, "出勤管理承認"},
+                                                                                {9, "発注者登録承認"},
                                                                                 };
 
         #endregion
@@ -473,6 +480,10 @@
                         case (int)ProcessExecuteNo.PersonApprovalList:                  // 22:担当者承認申請一覧
                             ProcessExecuteNo_PersonAppList(m_ProcControlPara[NowPoint]);
                             break;
+                        case (int)ProcessExecuteNo.CostomerRegist:                      // 33:発注者登録申請
+                            ProcessExecuteNo_CostomerRegist(m_ProcControlPara[NowPoint]);
+                            break;
+
                         #endregion
 
                         #region マスタメンテ
@@ -1674,8 +1685,35 @@
         }
         #endregion
 
+        #region 発注者登録申請
+        /// <summary>
+        /// 発注者登録申請
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_CostomerRegist(ProcessParameter CurrentPara)
+        {
+            //　発注者登録申請一覧
+            FrmCostomerRegistList frm = new FrmCostomerRegistList();
+            try
+            {
+                // フォーム表示
+                frm.ShowDialog();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
         #endregion
 
+        #endregion
+
         #region マスタメンテナンス
         // ----------------- メンテナンス起動
         #region 管理マスタ
@@ -1734,6 +1772,7 @@
                 }
                 if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
 
+                frm.EntryMode = (int)CommonDefine.EmployeeClassFlg.Regular;
                 frm.ShowDialog();
             }
             catch (Exception ex)
@@ -2309,7 +2348,8 @@
         public static void MaintenanceExecuteNo_AlwaysEmployment(ProcessParameter CurrentPara)
         {
             // 常雇者マスタ
-            FrmAlwaysEmployment frm = new FrmAlwaysEmployment();
+            //FrmAlwaysEmployment frm = new FrmAlwaysEmployment();
+            FrmPersonInCharge frm = new FrmPersonInCharge();
             try
             {
                 // 起動・編集フラグ
@@ -2322,6 +2362,7 @@
                 }
                 if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
 
+                frm.EntryMode = (int)CommonDefine.EmployeeClassFlg.OutSource;
                 frm.ShowDialog();
             }
             catch (Exception ex)
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 54)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 55)
@@ -52,7 +52,7 @@
             OrdersDecisionPrice,
             OrdersDecisionPriceInTax,
             SalesPersonCode,
-            ConstrPersonCode,
+            ConstructionPersonCode,
             ConstrSubPersonCode,
             ConstructionInstructor,
             TransferConstruction,
@@ -237,121 +237,80 @@
             string strcmd = "";
             try
             {
-                    strcmd = "INSERT INTO ConstructionBaseInfo";
-                    strcmd += " (ConstructionCode";
-                    strcmd += ", TyingFlg";
-                    strcmd += ", JoinFlg";
-                    strcmd += ", ConstructionYear";
-                    strcmd += ", ConstructionPeriod";
-                    strcmd += ", RequestedDate";
-                    strcmd += ", EstimatesSubmitDeadline";
-                    strcmd += ", EstimatesSubmittedDate";
-                    strcmd += ", ProvisionalOrderDate";
-                    strcmd += ", OrderDate";
-                    strcmd += ", OrderStartingDate";
-                    strcmd += ", OrderCompletionDate";
-                    strcmd += ", PreparationStartDate";
-                    strcmd += ", ConstructionStartingDate";
-                    strcmd += ", ConstructionCompletionDate";
-                    strcmd += ", NonOrderDate";
-                    strcmd += ", OrdersDecisionPrice";
-                    strcmd += ", OrdersDecisionPriceInTax";
-                    strcmd += ", SalesPersonCode";
-                    strcmd += ", ConstructionPersonCode";
-                    strcmd += ", ConstrSubPersonCode";
-                    strcmd += ", ConstructionInstructor";
-                    strcmd += ", TransferConstruction";
-                    strcmd += ", TransferConstructionDate";
-                    strcmd += ", OrderersDivision";
-                    strcmd += ", OrderersCode";
-                    strcmd += ", EstimatesExpirationDate";
-                    strcmd += ", ConstructionPeriodStart";
-                    strcmd += ", ConstructionPeriodEnd";
-                    strcmd += ", ConstructionPeriodStart2";
-                    strcmd += ", ConstructionPeriodEnd2";
-                    strcmd += ", StartDate";
-                    strcmd += ", EndDate";
-                    strcmd += ", PurchaseOrderMailingDate";
-                    strcmd += ", PurchaseOrderReturnDate";
-                    strcmd += ", PurchaseOrderReturnCheckDate";
-                    strcmd += ", ConsumptionTaxFlg";
-                    strcmd += ", PrimeContractorFlg";
-                    strcmd += ", SalesCostFlg";
-                    strcmd += ", ConstructionStatusFlg";
-                    strcmd += ", ConstructionType";
-                    strcmd += ", EstimateType";
-                    strcmd += ", BillingStartDate";
-                    strcmd += ", BillingDate";
-                    strcmd += ", BillingSplitFlg";
-                    strcmd += ", BillingSendDate";
-                    strcmd += ", LedgerComplateDate";
-                    strcmd += ", EntryDate";
-                    strcmd += ", UpdateDate";
+                strcmd = "INSERT INTO ConstructionBaseInfo";
 
-                    strcmd += ") VALUES (";
+                strcmd += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
 
-                    strcmd += string.Format("  {0}", data.ConstructionCode);
-                    strcmd += string.Format(", {0}", data.TyingFlg);
-                    strcmd += string.Format(", {0}", data.JoinFlg);
-                    strcmd += string.Format(", {0}", data.ConstructionYear);
-                    strcmd += string.Format(", {0}", data.ConstructionPeriod);
+                strcmd += string.Format("  {0}", data.ConstructionCode);
+                strcmd += string.Format(", {0}", data.TyingFlg);
+                strcmd += string.Format(", {0}", data.JoinFlg);
+                strcmd += string.Format(", {0}", data.ConstructionYear);
+                strcmd += string.Format(", {0}", data.ConstructionPeriod);
 
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.RequestedDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.EstimatesSubmitDeadline.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.EstimatesSubmittedDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ProvisionalOrderDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.OrderDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.OrderStartingDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.OrderCompletionDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.PreparationStartDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ConstructionStartingDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ConstructionCompletionDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.NonOrderDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.RequestedDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.EstimatesSubmitDeadline.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.EstimatesSubmittedDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ProvisionalOrderDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.OrderDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.OrderStartingDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.OrderCompletionDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.PreparationStartDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ConstructionStartingDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ConstructionCompletionDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.NonOrderDate.ToShortDateString());
 
-                    strcmd += string.Format(", {0}", data.OrdersDecisionPrice);
-                    strcmd += string.Format(", {0}", data.OrdersDecisionPriceInTax);
+                strcmd += string.Format(", {0}", data.OrdersDecisionPrice);
+                strcmd += string.Format(", {0}", data.OrdersDecisionPriceInTax);
 
-                    strcmd += string.Format(", {0}", data.SalesPersonCode);
-                    strcmd += string.Format(", {0}", data.ConstructionPersonCode);
-                    strcmd += string.Format(", {0}", data.ConstrSubPersonCode);
-                    strcmd += string.Format(", {0}", data.ConstructionInstructor);
+                strcmd += string.Format(", {0}", data.SalesPersonCode);
+                strcmd += string.Format(", {0}", data.ConstructionPersonCode);
+                strcmd += string.Format(", {0}", data.ConstrSubPersonCode);
+                strcmd += string.Format(", {0}", data.ConstructionInstructor);
 
-                    strcmd += string.Format(", {0}", data.TransferConstruction);
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.TransferConstructionDate.ToShortDateString());
+                strcmd += string.Format(", {0}", data.TransferConstruction);
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.TransferConstructionDate.ToShortDateString());
 
-                    strcmd += string.Format(", {0}", data.OrderersDivision);
-                    strcmd += string.Format(", {0}", data.OrderersCode);
+                strcmd += string.Format(", {0}", data.OrderersDivision);
+                strcmd += string.Format(", {0}", data.OrderersCode);
 
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.EstimatesExpirationDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ConstructionPeriodStart.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ConstructionPeriodEnd.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ConstructionPeriodStart2.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ConstructionPeriodEnd2.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.StartDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.EndDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.PurchaseOrderMailingDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.PurchaseOrderReturnDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.PurchaseOrderReturnCheckDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.EstimatesExpirationDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ConstructionPeriodStart.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ConstructionPeriodEnd.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ConstructionPeriodStart2.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.ConstructionPeriodEnd2.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.StartDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.EndDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.PurchaseOrderMailingDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.PurchaseOrderReturnDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.PurchaseOrderReturnCheckDate.ToShortDateString());
 
-                    strcmd += string.Format(", {0}", data.ConsumptionTaxFlg);
-                    strcmd += string.Format(", {0}", data.PrimeContractorFlg);
-                    strcmd += string.Format(", {0}", data.SalesCostFlg);
-                    strcmd += string.Format(", {0}", data.ConstructionStatusFlg);
+                strcmd += string.Format(", {0}", data.ConsumptionTaxFlg);
+                strcmd += string.Format(", {0}", data.PrimeContractorFlg);
+                strcmd += string.Format(", {0}", data.SalesCostFlg);
+                strcmd += string.Format(", {0}", data.ConstructionStatusFlg);
 
-                    strcmd += string.Format(", {0}", data.ConstructionType);
-                    strcmd += string.Format(", {0}", data.EstimateType);
+                strcmd += string.Format(", {0}", data.ConstructionType);
+                strcmd += string.Format(", {0}", data.EstimateType);
 
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.BillingStartDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.BillingDate.ToShortDateString());
-                    strcmd += string.Format(", {0}", data.BillingSplitFlg);
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.BillingSendDate.ToShortDateString());
-                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.LedgerComplateDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.BillingStartDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.BillingDate.ToShortDateString());
+                strcmd += string.Format(", {0}", data.BillingSplitFlg);
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.BillingSendDate.ToShortDateString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.LedgerComplateDate.ToShortDateString());
 
-                    strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
-                    strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
-                    strcmd = strcmd + ")";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
 
-                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
                 return true;
             }
@@ -537,7 +496,7 @@
                 wrk.OrdersDecisionPriceInTax = double.Parse(objwrk[(int)TableColumn.OrdersDecisionPriceInTax].ToString());
 
                 wrk.SalesPersonCode = int.Parse(objwrk[(int)TableColumn.SalesPersonCode].ToString());
-                wrk.ConstructionPersonCode = int.Parse(objwrk[(int)TableColumn.ConstrPersonCode].ToString());
+                wrk.ConstructionPersonCode = int.Parse(objwrk[(int)TableColumn.ConstructionPersonCode].ToString());
                 wrk.ConstrSubPersonCode = int.Parse(objwrk[(int)TableColumn.ConstrSubPersonCode].ToString());
                 wrk.ConstructionInstructor = int.Parse(objwrk[(int)TableColumn.ConstructionInstructor].ToString());
 
@@ -666,7 +625,7 @@
                     case (int)TableColumn.SalesPersonCode:
                         strcmd += string.Format(" SalesPersonCode = {0}", ((int)value).ToString());
                         break;
-                    case (int)TableColumn.ConstrPersonCode:
+                    case (int)TableColumn.ConstructionPersonCode:
                         strcmd += string.Format(" ConstructionPersonCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.ConstrSubPersonCode:
